USERDEL(8)

NOM
userdel - Effacer un compte utilisateur et les fichiers associés

SYNOPSIS
userdel [-r] login

DESCRIPTION
La commande userdel modifie les fichiers des comptes du système, en supprimant toutes les entrées qui se réfèrent à login. L'utilisateur nommé doit exister.

OPTIONS

-r  Les fichiers présents dans le répertoire personnel de l'utilisateur seront supprimés en même temps que le répertoire lui-même. Les fichiers situés dans d'autres systèmes de fichiers devront être recherchés et éliminés manuellement.

FICHIERS
/etc/passwd - information sur les comptes utilisateurs
/etc/shadow - information sécurisée sur les comptes utilisateurs
/etc/group - information de groupes

INCONVÉNIENTS
userdel ne vous permet pas de supprimer un compte si l'utilisateur en question est actuellement connecté. Vous devez tuer tous les processus en cours d'exécution appartenant à l'utilisateur possédant le compte que vous êtes en train de supprimer. Vous ne pouvez pas supprimer d'attribut NIS d'un client NIS. Cela doit être effectué sur le serveur NIS.

VOIR AUSSI
chfn(1), chsh(1), groupadd(8), groupdel(8), groupmod(8), passwd(1), useradd(8), usermod(8)

AUTEUR
Julianne Frances Haugh (jfh@bga.com)

TRADUCTION
Frédéric Delanoy, 2000.